<?php
defined('BASEPATH') OR exit('No direct script access allowed');

class MY_Input extends CI_Input {
	public function __construct(){
		parent::__construct();

		$input_json = file_get_contents('php://input');
		if(!empty($input_json)){
			$post = json_decode($input_json, true);
			if(!empty($post) && is_array($post)){
				$_POST = array_merge($_POST, $post);
			}
		}
	}
}